html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    
}

@media (max-width: 992px) {
    body {
        font-size: 100%; /* Smaller size for phones */
    }
}


@media(max-width: 415px) {
    body {
        font-size: 80%; /* Smaller size for phones */
    }

    span {
        font-size: 80%; /* Smaller size for phones */
    }

    [class^="fs"] {
        font-size: 80%; /* Smaller size for phones */
    }
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
    font-size: 0.6rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}


/*-------------------------------------------POST APP CREATION CSS-----------------------------------------*/

/*----------Utility objects for pages and content--------------------*/
.oswald {
    font-family: 'Oswald', sans-serif !important;
}




hr.blurry {
    border: 0;
    height: 1px;
    background-image: linear-gradient(to right, rgba(260, 260, 260, 1), rgba(0, 0, 0, 0.1), rgba(260, 260, 260, 1));
    border-top: none !important;

}

.fa-white {
    color: #ffffff;
}

.display-7 {
    font-size: 1.2rem;
}

.fa-search {
    width: 34px !important;
    height: 32px;
}

.req {
    color: #333;
    font-weight: 600;
}
/*.mh-500 {
        max-height: 500px;
        height: 290px;
    }*/

.mh-400 {
    max-height: 430px;
}

.mh-500 {
    max-height: 330px;
    height: 425px;
}


.zebra {
    background: #f7f7f7;
    border-bottom: 1px solid #e9e9e9;
}

    .zebra:nth-child(even) {
        background: #fff;
    }

.fs-7 {
    font-size: .9rem;
}

.text-length-100 {
    display: block;
    width: 100px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.min-vh-700 {
    min-height: 700px;
}


.top-row {
    height: 4.5rem !important;
    background-color: rgba(0, 0, 0, 0.4);
    font-size: .7rem !important;
    line-height:1
}

.top-row-gray {
    height: 2.5rem !important;
    background-color: #F8F9FA;
    font-size: .7rem !important;
    padding-top: .7rem !important;
    text-align: right !important;
}

.custom-label-class .k-floating-label {
    margin-left: 30px;
    /*margin-top:4px;*/
}




.large-notification-top {
     position: absolute;
     top: 0;
     right: 0;
     min-width: 200px;
     min-height: 100px;

     z-index: 9999;
}


.sidebar {
    background-color: #005587 !important;
    background-image: linear-gradient(180deg, rgb(5, 39, 103) 0%, #005587 70%) !important;
}

.ct-dark {
    background-color: #005587 !important;
  
}

.ct-dark {
    background-color: #005587 !important;
    color: #cccccc !important;
}

a.ct-dark:link {
    text-decoration: none;
    color: #e4e4e4 !important;
}

a.ct-dark:hover {
    text-decoration: none;
    color: #fff !important;
}

a.ct-dark:visited {
    text-decoration: none;
    color: #fff !important;
}
.scrolled-content {
   max-height:700px;
   overflow-y: auto;
}






/* Custom floating label */
.form-floating .form-control {
    width: 100%;
    padding: 4px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 0.9rem;
    box-sizing: border-box;
    background-color: #fff;
    height: auto;
}

.form-floating .form-label {
    position: absolute;
    top: -1px;
    left: 12px;
    color: #999;
    background-color: #fff; /* Match form background */
    padding: 0 4px;
    transition: all 0.2s ease;
    pointer-events: none; /* Allows clicks to go through to the input */
    height: auto;
    font-size: 0.80rem;
    margin-bottom: 0;
    font-family: oswald !important;
    color: #999 !important;
}
/*
    The main effect. When the input is focused or when the placeholder is NOT shown
    (meaning it has content), move the label up and shrink it.
*/
.form-floating .form-control:focus + .form-label,
.form-floating .form-control:not(:placeholder-shown) + .form-label {
    top: -8px; /* Moves the label above the input */
    left: 8px;
    font-size: 0.9rem;
    color: #014b80;
    padding: 3px;
    opacity: 1;
}

.form-floating > .form-control:not(:placeholder-shown) ~ label, .form-floating > .form-select ~ label {
    opacity: 1;
    transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}

/* Add the focus color to the border as well */
.form-floating .form-control:focus {
    outline: none;
    border-color: #007bff;
    padding: 5px;
}

.form-floating > .form-control:not(:placeholder-shown) {
    padding-top: 0.5rem;
    padding-bottom: .5rem;
}

input:-webkit-autofill {
    background-color: transparent !important;
    -webkit-box-shadow: 0 0 0px 1000px white inset !important;
    -webkit-text-fill-color: #000 !important; /* Adjust text color if needed */
}

/* Explanation:
    -webkit-autofill: Targets autofilled input fields in WebKit-based browsers like Chrome.
    -webkit-box-shadow: Overrides the yellow autofill background by creating an inset shadow with the desired color (e.g., white).
    -webkit-text-fill-color: Ensures the text color remains visible and matches your design.
    This approach ensures a consistent look across autofilled and non-autofilled fields. */


@media (max-width: 767.98px) {
    .contractor-header {
        flex-direction: column;
        align-items: flex-start;
    }

    .mysidebar {
        max-width: 100%;
        min-height: auto;
        box-shadow: none;
    }
}

.note {
    /*background-color: #e7f3fe;
    border-left: 6px solid #2196F3;
    margin-bottom: 15px;
    padding: 10px 15px;
    border-radius: 5px;*/
    --note-padding: 10px;
    --note-border-width: 6px;
    --note-border-radius: 5px;
    --note-strong-font-weight: 600;
    padding: var(--note-padding);
    border-left: var(--note-border-width) solid;
    border-radius: var(--note-border-radius)
}
    .note strong {
        font-weight: var(--note-strong-font-weight)
    }


.fade-in {
    opacity: 1;
    animation-name: fadeInOpacity;
    animation-iteration-count: 1;
    animation-timing-function: ease-in;
    animation-duration: 2s;
}

@keyframes fadeInOpacity {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/*---------------------Notification class properties-------------------------*/
/* for centered content */
.large-notification-center .k-notification,
/* for top content */
.large-notification-top .k-notification-content {
    width: auto;
    font-size: 130%
   

}

.fs-7 {
    font-size: .7rem !important;
}

.line {
    margin-bottom: 5px; /* Add space below each line/block */
}



.ffset-6 {
     margin-left: 10%;
    
}

.offset-7 {
    margin-left: 10%;
}

.offset-8 {
    margin-left: 10%;
}

.offset-9 {
    margin-left: 10%;
}



.k-notification {
    width: 400px;
    top: 50px;
    align-items: center;
    left: -24% !important;
    min-height: 70px;
}

.validation-message {
    margin-top: 5px;
}

.form-floating .form-control:not(:placeholder-shown) + .form-label {
    top: -13px;
}


/* Target cells and headers within the specific grid instance */
.k-grid-small-text .k-grid-content tr td,
.k-grid-small-text .k-grid-header th {
    font-size: 0.8rem; /* or any specific size, e.g., 12px */
    padding: 0.2rem; /* reduce padding for a tighter look */
}

/* Target buttons within the grid, such as in command columns or toolbar */
.k-grid-small-text .k-button {
    font-size: 0.8rem;
    padding: 0.2rem 0.4rem; /* adjust button padding */
}

/* Ensure font size for the general grid container is also consistent */
.k-grid.k-grid-small-text {
    font-size: 0.8rem;
}

.k-button-solid-base:hover,
.k-button-solid-base.k-hover {
    background-color: #7ca7c1 !important; /* A slightly different color for hover effect */
    
}


.k-notification .telerik-blazor .k-notification-closable .k-notification-error  {
    bottom: 300px !important;
}
.large-notification-bottom {
    bottom: 300px !important;
    left: 72% !important;
    width: 400px;
    z-index: 100;
}

.validation-errors {
    width: 350px;
    top: 44%;
    align-items: center;
    min-height: 70px;
    position: fixed;
    background: #f6f0f0;
    z-index: 1;
    padding: 1rem 1rem 1rem 1rem 2px;
    border: 1px solid #cccccc;
    -webkit-animation: seconds 1.0s forwards;
    -webkit-animation-iteration-count: 1;
    -webkit-animation-delay: 5s;
    animation: seconds 1.0s forwards;
    animation-iteration-count: 1;
    animation-delay: 5s;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    border-radius: 6px;
  
}




@-webkit-keyframes seconds {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        left: -9999px;
    }
}

@keyframes seconds {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
        left: -9999px;
    }
}


/* override kendo input background color and focus color to match the design of the app*/

.k-input-solid {
    /* border-color:var(--kendo-color-border, rgba(0, 0, 0, 0.08)); */
    color: var(--kendo-color-on-app-surface, #3d3d3d);
    /*background-color: var(--kendo-color-surface-alt, #ffffff);*/
}

.k-input-solid:focus, .k-input-solid.k-focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
    outline: none;
    border-color: #007bff !important;
    padding: 5px;
    border-radius: 5px;
}

.k-valid {
    outline: 1px solid #26b050;
}

/* Set the Font Awesome family and weight for custom checkbox icons */
.custom-icons.k-checkbox {
    border-color: dimgrey;
    background-color: var(--kendo-color-surface-alt, #ffffff);
}
.custom-icons.k-checkbox:before {
    font-family: "Font Awesome 6 Free";
    font-weight: 900;
    border-color: dimgrey;
}

/* Remove the default background image for checked state */
.custom-icons.k-checkbox:checked {
    background-image: none;
}

    /* Set the Font Awesome check mark icon for the checked state */
    .custom-icons.k-checkbox:checked:before {
        content: "\f058"; /* Check Circle icon */
    }

/* Remove the default background image for indeterminate state */
.custom-icons.k-checkbox:indeterminate {
    background-image: none;
}

    /* Set the Font Awesome question icon for the indeterminate state */
    .custom-icons.k-checkbox:indeterminate:before {
        content: "\3f"; /* Question icon */
        margin-left: 3px;
    }

.custom-icons.k-checkbox:checked, .k-checkbox.k-checked {
    border-color: #03a9f4;
    color: var(--kendo-color-on-primary, #ffffff);
    background-color: #1b6ec2;
}

    .custom-icons.k-checkbox:checked:focus, .k-checkbox.k-checked.k-focus {
        box-shadow: rgba(3, 102, 214, 0.3) 0px 0px 0px 1px;
        border-color: dimgrey;
    }


